| Elektra 0.11.0

Classes | Namespaces | Functions
kdb.hpp File Reference
`#include <string>`
`#include <vector>`
`#include <elektradiff.hpp>`
`#include <kdbexcept.hpp>`
`#include <key.hpp>`
`#include <keyset.hpp>`
`#include <kdb.h>`
`#include <kdbchangetracking.h>`
`#include <kdbgopts.h>`

## Classes
class | kdb::KDB
| Constructs a class KDB. More...

## Namespaces
namespace | kdb
| This is the main namespace for the C++ binding and libraries.

## Functions
int | kdb::goptsContract (kdb::KeySet &contract, int argc, const char *const *argv, const char *const *envp, const kdb::Key &parentKey, kdb::KeySet &goptsConfig)
int | kdb::goptsContract (kdb::KeySet &contract, const std::string &argsString, const std::string &envString, const kdb::Key &parentKey, kdb::KeySet &goptsConfig)
| Prefer to use goptsContract with argc, argv and envp if possible (especially when you are calling this in your main function)
int | kdb::goptsContract (kdb::KeySet &contract, const std::vector< std::string > &args, const std::vector< std::string > &env, const kdb::Key &parentKey, kdb::KeySet &goptsConfig)
| Prefer to use goptsContract with argc, argv and envp if possible (especially when you are calling this in your main function)

## Detailed Description

Copyright
  BSD License (see LICENSE.md or https://www.libelektra.org)